diff --git a/dto/pom.xml b/dto/pom.xml
index b2525beeff..206eba2816 100644
--- a/dto/pom.xml
+++ b/dto/pom.xml
@@ -42,15 +42,6 @@
 
     </dependencies>
 
-    <build>
-        <plugins>
-            <plugin>
-                <groupId>org.springframework.boot</groupId>
-                <artifactId>spring-boot-maven-plugin</artifactId>
-            </plugin>
-        </plugins>
-    </build>
-
     <repositories>
         <repository>
             <id>spring-releases</id>
diff --git a/dto/src/main/java/com/squla/DtoApplication.java b/dto/src/main/java/com/squla/DtoApplication.java
index d00daf8b02..a813701e3d 100644
--- a/dto/src/main/java/com/squla/DtoApplication.java
+++ b/dto/src/main/java/com/squla/DtoApplication.java
@@ -1,9 +1,7 @@
 package com.squla;
 
-import com.squla.dto.AlbumDTO;
+import com.squla.dto.AlbumDto;
 import com.squla.service.AlbumService;
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
 import org.springframework.boot.CommandLineRunner;
 import org.springframework.boot.SpringApplication;
 import org.springframework.boot.autoconfigure.SpringBootApplication;
@@ -11,17 +9,22 @@
 
 @SpringBootApplication
 public class DtoApplication {
-    private static final Logger log = LoggerFactory.getLogger(DtoApplication.class);
 
-    public static void main(String[] args) {
-        SpringApplication.run(DtoApplication.class, args);
-    }
+  public static void main(String[] args) {
+    SpringApplication.run(DtoApplication.class, args);
+  }
 
-    @Bean
-    public CommandLineRunner demo(AlbumService service) {
-        return (args) -> {
-            service.save(new AlbumDTO().setAlbumTitle("Album Title 1").setArtistName("Artist Name 1"));
-            service.save(new AlbumDTO().setAlbumTitle("Album Title 2").setArtistName("Artist Name 2"));
-        };
-    }
+  /**
+   * Load demo data.
+   *
+   * @param service AlbumService
+   * @return lambda with demo data
+   */
+  @Bean
+  public CommandLineRunner demo(AlbumService service) {
+    return (args) -> {
+      service.save(new AlbumDto().setAlbumTitle("Album Title 1").setArtistName("Artist Name 1"));
+      service.save(new AlbumDto().setAlbumTitle("Album Title 2").setArtistName("Artist Name 2"));
+    };
+  }
 }
diff --git a/dto/src/main/java/com/squla/api/AlbumAPI.java b/dto/src/main/java/com/squla/api/AlbumApi.java
similarity index 64%
rename from dto/src/main/java/com/squla/api/AlbumAPI.java
rename to dto/src/main/java/com/squla/api/AlbumApi.java
index c96faeea0c..2ac0bf29bc 100644
--- a/dto/src/main/java/com/squla/api/AlbumAPI.java
+++ b/dto/src/main/java/com/squla/api/AlbumApi.java
@@ -1,6 +1,6 @@
 package com.squla.api;
 
-import com.squla.dto.AlbumDTO;
+import com.squla.dto.AlbumDto;
 import com.squla.service.AlbumService;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.RequestMapping;
@@ -14,12 +14,12 @@
  */
 @RestController
 @RequestMapping(value = "/album")
-public class AlbumAPI {
-    @Autowired
-    AlbumService albumService;
+public class AlbumApi {
+  @Autowired
+  AlbumService albumService;
 
-    @RequestMapping(value = "", method = RequestMethod.GET)
-    List<AlbumDTO> findAll() {
-        return albumService.findAll();
-    }
+  @RequestMapping(value = "", method = RequestMethod.GET)
+  List<AlbumDto> findAll() {
+    return albumService.findAll();
+  }
 }
diff --git a/dto/src/main/java/com/squla/dto/AlbumDTO.java b/dto/src/main/java/com/squla/dto/AlbumDTO.java
deleted file mode 100644
index 86bba54169..0000000000
--- a/dto/src/main/java/com/squla/dto/AlbumDTO.java
+++ /dev/null
@@ -1,35 +0,0 @@
-package com.squla.dto;
-
-/**
- * Created by kujbimic on 03.04.17.
- */
-public class AlbumDTO {
-    private String albumTitle;
-    private String artistName;
-
-    public String getAlbumTitle() {
-        return albumTitle;
-    }
-
-    public AlbumDTO setAlbumTitle(String albumTitle) {
-        this.albumTitle = albumTitle;
-        return this;
-    }
-
-    public String getArtistName() {
-        return artistName;
-    }
-
-    public AlbumDTO setArtistName(String artistName) {
-        this.artistName = artistName;
-        return this;
-    }
-
-    @Override
-    public String toString() {
-        return "AlbumDTO{" +
-                "albumTitle='" + albumTitle + '\'' +
-                ", artistName='" + artistName + '\'' +
-                '}';
-    }
-}
diff --git a/dto/src/main/java/com/squla/dto/AlbumDto.java b/dto/src/main/java/com/squla/dto/AlbumDto.java
new file mode 100644
index 0000000000..992136df20
--- /dev/null
+++ b/dto/src/main/java/com/squla/dto/AlbumDto.java
@@ -0,0 +1,35 @@
+package com.squla.dto;
+
+/**
+ * Created by kujbimic on 03.04.17.
+ */
+public class AlbumDto {
+  private String albumTitle;
+  private String artistName;
+
+  public String getAlbumTitle() {
+    return albumTitle;
+  }
+
+  public AlbumDto setAlbumTitle(String albumTitle) {
+    this.albumTitle = albumTitle;
+    return this;
+  }
+
+  public String getArtistName() {
+    return artistName;
+  }
+
+  public AlbumDto setArtistName(String artistName) {
+    this.artistName = artistName;
+    return this;
+  }
+
+  @Override
+  public String toString() {
+    return "AlbumDto{"
+        + "albumTitle='" + albumTitle + '\''
+        + ", artistName='" + artistName + '\''
+        + '}';
+  }
+}
diff --git a/dto/src/main/java/com/squla/model/Album.java b/dto/src/main/java/com/squla/model/Album.java
index c6ee656e2c..24974c3161 100644
--- a/dto/src/main/java/com/squla/model/Album.java
+++ b/dto/src/main/java/com/squla/model/Album.java
@@ -7,39 +7,39 @@
  */
 @Entity
 public class Album {
-    @Id
-    @GeneratedValue(strategy = GenerationType.AUTO)
-    private Long albumId;
-    private String title;
-
-    @ManyToOne(cascade = CascadeType.PERSIST)
-    @JoinColumn(name = "artistId")
-    private Artist artist;
-
-    public Long getAlbumId() {
-        return albumId;
-    }
-
-    public Album setAlbumId(Long albumId) {
-        this.albumId = albumId;
-        return this;
-    }
-
-    public String getTitle() {
-        return title;
-    }
-
-    public Album setTitle(String title) {
-        this.title = title;
-        return this;
-    }
-
-    public Artist getArtist() {
-        return artist;
-    }
-
-    public Album setArtist(Artist artist) {
-        this.artist = artist;
-        return this;
-    }
+  @Id
+  @GeneratedValue(strategy = GenerationType.AUTO)
+  private Long albumId;
+  private String title;
+
+  @ManyToOne(cascade = CascadeType.PERSIST)
+  @JoinColumn(name = "artistId")
+  private Artist artist;
+
+  public Long getAlbumId() {
+    return albumId;
+  }
+
+  public Album setAlbumId(Long albumId) {
+    this.albumId = albumId;
+    return this;
+  }
+
+  public String getTitle() {
+    return title;
+  }
+
+  public Album setTitle(String title) {
+    this.title = title;
+    return this;
+  }
+
+  public Artist getArtist() {
+    return artist;
+  }
+
+  public Album setArtist(Artist artist) {
+    this.artist = artist;
+    return this;
+  }
 }
diff --git a/dto/src/main/java/com/squla/model/Artist.java b/dto/src/main/java/com/squla/model/Artist.java
index 1827276b60..028c2c96df 100644
--- a/dto/src/main/java/com/squla/model/Artist.java
+++ b/dto/src/main/java/com/squla/model/Artist.java
@@ -10,26 +10,26 @@
  */
 @Entity
 public class Artist {
-    @Id
-    @GeneratedValue(strategy = GenerationType.AUTO)
-    private Long artistId;
-    private String name;
+  @Id
+  @GeneratedValue(strategy = GenerationType.AUTO)
+  private Long artistId;
+  private String name;
 
-    public Long getArtistId() {
-        return artistId;
-    }
+  public Long getArtistId() {
+    return artistId;
+  }
 
-    public Artist setArtistId(Long artistId) {
-        this.artistId = artistId;
-        return this;
-    }
+  public Artist setArtistId(Long artistId) {
+    this.artistId = artistId;
+    return this;
+  }
 
-    public String getName() {
-        return name;
-    }
+  public String getName() {
+    return name;
+  }
 
-    public Artist setName(String name) {
-        this.name = name;
-        return this;
-    }
+  public Artist setName(String name) {
+    this.name = name;
+    return this;
+  }
 }
diff --git a/dto/src/main/java/com/squla/service/AlbumService.java b/dto/src/main/java/com/squla/service/AlbumService.java
index 1fefd0c049..52c94d2fac 100644
--- a/dto/src/main/java/com/squla/service/AlbumService.java
+++ b/dto/src/main/java/com/squla/service/AlbumService.java
@@ -1,6 +1,6 @@
 package com.squla.service;
 
-import com.squla.dto.AlbumDTO;
+import com.squla.dto.AlbumDto;
 import com.squla.model.Album;
 
 import java.util.List;
@@ -9,7 +9,7 @@
  * Created by kujbimic on 03.04.17.
  */
 public interface AlbumService {
-    List<AlbumDTO> findAll();
+  List<AlbumDto> findAll();
 
-    Album save(AlbumDTO dto);
+  Album save(AlbumDto dto);
 }
diff --git a/dto/src/main/java/com/squla/service/AlbumServiceIMPL.java b/dto/src/main/java/com/squla/service/AlbumServiceIMPL.java
deleted file mode 100644
index e7f4abaec5..0000000000
--- a/dto/src/main/java/com/squla/service/AlbumServiceIMPL.java
+++ /dev/null
@@ -1,37 +0,0 @@
-package com.squla.service;
-
-import com.squla.dto.AlbumDTO;
-import com.squla.model.Album;
-import com.squla.model.Artist;
-import com.squla.repository.AlbumRepository;
-import org.modelmapper.ModelMapper;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.stereotype.Service;
-
-import java.util.LinkedList;
-import java.util.List;
-
-/**
- * Created by kujbimic on 03.04.17.
- */
-@Service
-public class AlbumServiceIMPL implements AlbumService {
-
-    @Autowired
-    AlbumRepository repository;
-
-    public List<AlbumDTO> findAll() {
-        ModelMapper modelMapper = new ModelMapper();
-        LinkedList<AlbumDTO> list = new LinkedList<AlbumDTO>();
-        repository.findAll().forEach(it -> list.add(modelMapper.map(it, AlbumDTO.class)));
-        return list;
-    }
-
-    public Album save(AlbumDTO dto) {
-        Album album = new Album()
-                .setArtist(new Artist().setName(dto.getArtistName()))
-                .setTitle(dto.getAlbumTitle());
-
-        return repository.save(album);
-    }
-}
diff --git a/dto/src/main/java/com/squla/service/AlbumServiceImpl.java b/dto/src/main/java/com/squla/service/AlbumServiceImpl.java
new file mode 100644
index 0000000000..caa74e1cd0
--- /dev/null
+++ b/dto/src/main/java/com/squla/service/AlbumServiceImpl.java
@@ -0,0 +1,44 @@
+package com.squla.service;
+
+import com.squla.dto.AlbumDto;
+import com.squla.model.Album;
+import com.squla.model.Artist;
+import com.squla.repository.AlbumRepository;
+import org.modelmapper.ModelMapper;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.stereotype.Service;
+
+import java.util.LinkedList;
+import java.util.List;
+
+/**
+ * Created by kujbimic on 03.04.17.
+ */
+@Service
+public class AlbumServiceImpl implements AlbumService {
+
+  @Autowired
+  AlbumRepository repository;
+
+  /**
+   * @return list of all album.
+   */
+  public List<AlbumDto> findAll() {
+    ModelMapper modelMapper = new ModelMapper();
+    LinkedList<AlbumDto> list = new LinkedList<AlbumDto>();
+    repository.findAll().forEach(it -> list.add(modelMapper.map(it, AlbumDto.class)));
+    return list;
+  }
+
+  /**
+   * @param dto instance of album dto object to save.
+   * @return save object.
+   */
+  public Album save(AlbumDto dto) {
+    Album album = new Album()
+        .setArtist(new Artist().setName(dto.getArtistName()))
+        .setTitle(dto.getAlbumTitle());
+
+    return repository.save(album);
+  }
+}
diff --git a/dto/src/test/java/com/squla/DtoApplicationTests.java b/dto/src/test/java/com/squla/DtoApplicationTests.java
index bd6d54d11b..549b501b1a 100644
--- a/dto/src/test/java/com/squla/DtoApplicationTests.java
+++ b/dto/src/test/java/com/squla/DtoApplicationTests.java
@@ -1,5 +1,4 @@
 package com.squla;
-
 //import org.springframework.boot.test.context.SpringBootTest;
 //import org.springframework.test.context.junit4.SpringRunner;
 //
@@ -7,8 +6,8 @@
 //@SpringBootTest
 //public class DtoApplicationTests {
 //
-//	@Test
-//	public void contextLoads() {
-//	}
+//  @Test
+//  public void contextLoads() {
+//  }
 //
-//}
+//}
\ No newline at end of file
